| # Gaudi Framework, version v20r4
Generated: 8 Jan 2009

# ProcessJobOptions::ConsoleHandler Class Reference

List of all members.

## Detailed Description

Definition at line 52 of file ProcessJobOptions.py.

## Public Member Functions
def | __init__
def | setPrefix
def | printOn
def | printOff
def | disable
def | enable
## Private Attributes
| _filter
| _formatter

## Member Function Documentation

def ProcessJobOptions::ConsoleHandler::__init__ | ( |  | self,
|  |  | strm = `None`,
|  |  | prefix = `None` |
| ) |  |  |

Definition at line 53 of file ProcessJobOptions.py.

    00053                                                   :
    00054         if strm is None:
    00055             strm = sys.stdout
    00056         logging.StreamHandler.__init__(self, strm = strm)
    00057         if prefix is None:
    00058             prefix = "# "
    00059         self._filter = LogFilter(_log.name)
    00060         self._formatter = LogFormatter(prefix = prefix)
    00061         self.setFormatter(self._formatter)
    00062         self.addFilter(self._filter)
        def setPrefix(self, prefix):

def ProcessJobOptions::ConsoleHandler::setPrefix | ( |  | self,
|  |  | prefix |
| ) |  |  |

Definition at line 63 of file ProcessJobOptions.py.

    00063                                :
    00064         self._formatter.prefix = prefix
        def printOn(self, step = 1, force = False):

def ProcessJobOptions::ConsoleHandler::printOn | ( |  | self,
|  |  | step = `1`,
|  |  | force = `False` |
| ) |  |  |

    Decrease the printing_level of 'step' units. ( >0 means no print)
    The level cannot go below 0, unless the force flag is set to True.
    A negative value of the treshold disables subsequent "PrintOff"s.

Definition at line 65 of file ProcessJobOptions.py.

    00065                                               :
    00066         """
    00067         Decrease the printing_level of 'step' units. ( >0 means no print)
    00068         The level cannot go below 0, unless the force flag is set to True.
    00069         A negative value of the treshold disables subsequent "PrintOff"s.
    00070         """
    00071         self._filter.printOn(step, force)
        def printOff(self, step = 1):

def ProcessJobOptions::ConsoleHandler::printOff | ( |  | self,
|  |  | step = `1` |
| ) |  |  |

    Increase the printing_level of 'step' units. ( >0 means no print)

Definition at line 72 of file ProcessJobOptions.py.

    00072                                 :
    00073         """
    00074         Increase the printing_level of 'step' units. ( >0 means no print)
    00075         """
    00076         self._filter.printOff(step)
        def disable(self, allowed = logging.WARNING):

def ProcessJobOptions::ConsoleHandler::disable | ( |  | self,
|  |  | allowed = `logging.WARNING` |
| ) |  |  |

Definition at line 77 of file ProcessJobOptions.py.

    00077                                                 :
    00078         self._filter.disable(allowed)
        def enable(self, allowed = logging.WARNING):

def ProcessJobOptions::ConsoleHandler::enable | ( |  | self,
|  |  | allowed = `logging.WARNING` |
| ) |  |  |

Definition at line 79 of file ProcessJobOptions.py.

    00079                                                :
    00080         self._filter.enable(allowed)
    00081
    _consoleHandler = None

## Member Data Documentation

ProcessJobOptions::ConsoleHandler::_filter`[private]`

Definition at line 59 of file ProcessJobOptions.py.

ProcessJobOptions::ConsoleHandler::_formatter`[private]`

Definition at line 60 of file ProcessJobOptions.py.

The documentation for this class was generated from the following file:

- /afs/cern.ch/sw/Gaudi/releases/GAUDI/GAUDI_v20r4/GaudiKernel/python/GaudiKernel/ProcessJobOptions.py